#!/bin/bash

# Create the bridge
#ip link add br2 type bridge

# Create network namespaces and veth interfaces
# TOPOLOGY server - delay - mbox - client

for host in $HOSTS ; do
    ip netns add ${host}
done

ip link add server.r type veth peer name client.l

ip link set dev server.r netns server
ip link set dev client.l netns client

ip netns exec server ip link set server.r up
ip netns exec client ip link set client.l up

# Assign IPs
#ip addr add 10.10.10.254/24 dev br2

ip netns exec server ip addr add 10.10.0.1/24 dev server.r
ip netns exec server ip -6 addr add fc00::1/64 dev server.r

ip netns exec client ip addr add 10.10.0.2/24 dev client.l
ip netns exec client ip -6 addr add fc00::2/64 dev client.l

