#!/bin/sh
set -x

host=client
ip netns exec ${host} tc qdisc del dev ${host}.l root
ip netns exec ${host} tc qdisc add dev ${host}.l root cake
# server

host=server
ip netns exec ${host} tc qdisc replace dev ${host}.r root pfifo

# let me ping localhost

. ./settings.example

for host in $HOSTS
do
ip netns exec ${host} ifconfig lo up
ip netns exec ${host} sysctl -w net.ipv4.tcp_ecn=2
done
